FreeMat

- Main Page
- Related Pages

vtkPlatonicSolidSource

Section: Visualization Toolkit Graphics Classes

# Usage

vtkPlatonicSolidSource can generate each of the five Platonic solids: tetrahedron, cube, octahedron, icosahedron, and dodecahedron. Each of the solids is placed inside a sphere centered at the origin with radius 1.0. To use this class, simply specify the solid to create. Note that this source object creates cell scalars that are (integral value) face numbers.

To create an instance of class vtkPlatonicSolidSource, simply invoke its constructor as follows

      obj = vtkPlatonicSolidSource

# Methods

The class vtkPlatonicSolidSource has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPlatonicSolidSource class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPlatonicSolidSource = obj.NewInstance ()`
- `vtkPlatonicSolidSource = obj.SafeDownCast (vtkObject o)`
- `obj.SetSolidType (int )` - Specify the type of PlatonicSolid solid to create.
- `int = obj.GetSolidTypeMinValue ()` - Specify the type of PlatonicSolid solid to create.
- `int = obj.GetSolidTypeMaxValue ()` - Specify the type of PlatonicSolid solid to create.
- `int = obj.GetSolidType ()` - Specify the type of PlatonicSolid solid to create.
- `obj.SetSolidTypeToTetrahedron ()` - Specify the type of PlatonicSolid solid to create.
- `obj.SetSolidTypeToCube ()` - Specify the type of PlatonicSolid solid to create.
- `obj.SetSolidTypeToOctahedron ()` - Specify the type of PlatonicSolid solid to create.
- `obj.SetSolidTypeToIcosahedron ()` - Specify the type of PlatonicSolid solid to create.
- `obj.SetSolidTypeToDodecahedron ()`